<?php
namespace TYPO3\Test\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package test
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Grandparent extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * name
	 *
	 * @var \string
	 */
	protected $name;

	/**
	 * parents
	 *
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Test\Domain\Model\Parent>
	 */
	protected $parents;

	/**
	 * __construct
	 *
	 * @return Grandparent
	 */
	public function __construct() {
		//Do not remove the next line: It would break the functionality
		$this->initStorageObjects();
	}

	/**
	 * Initializes all ObjectStorage properties.
	 *
	 * @return void
	 */
	protected function initStorageObjects() {
		/**
		 * Do not modify this method!
		 * It will be rewritten on each save in the extension builder
		 * You may modify the constructor of this class instead
		 */
		$this->parents = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
	}

	/**
	 * Returns the name
	 *
	 * @return \string $name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets the name
	 *
	 * @param \string $name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Adds a Parent
	 *
	 * @param \TYPO3\Test\Domain\Model\Parent $parent
	 * @return void
	 */
	public function addParent(\TYPO3\Test\Domain\Model\Parent $parent) {
		$this->parents->attach($parent);
	}

	/**
	 * Removes a Parent
	 *
	 * @param \TYPO3\Test\Domain\Model\Parent $parentToRemove The Parent to be removed
	 * @return void
	 */
	public function removeParent(\TYPO3\Test\Domain\Model\Parent $parentToRemove) {
		$this->parents->detach($parentToRemove);
	}

	/**
	 * Returns the parents
	 *
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Test\Domain\Model\Parent> $parents
	 */
	public function getParents() {
		return $this->parents;
	}

	/**
	 * Sets the parents
	 *
	 * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Test\Domain\Model\Parent> $parents
	 * @return void
	 */
	public function setParents(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $parents) {
		$this->parents = $parents;
	}

}
?>