<?php
namespace TYPO3\Test\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package test
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Parent extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * name
	 *
	 * @var \string
	 */
	protected $name;

	/**
	 * childs
	 *
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Test\Domain\Model\Child>
	 */
	protected $childs;

	/**
	 * __construct
	 *
	 * @return Parent
	 */
	public function __construct() {
		//Do not remove the next line: It would break the functionality
		$this->initStorageObjects();
	}

	/**
	 * Initializes all ObjectStorage properties.
	 *
	 * @return void
	 */
	protected function initStorageObjects() {
		/**
		 * Do not modify this method!
		 * It will be rewritten on each save in the extension builder
		 * You may modify the constructor of this class instead
		 */
		$this->childs = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
	}

	/**
	 * Returns the name
	 *
	 * @return \string $name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets the name
	 *
	 * @param \string $name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Adds a Child
	 *
	 * @param \TYPO3\Test\Domain\Model\Child $child
	 * @return void
	 */
	public function addChild(\TYPO3\Test\Domain\Model\Child $child) {
		$this->childs->attach($child);
	}

	/**
	 * Removes a Child
	 *
	 * @param \TYPO3\Test\Domain\Model\Child $childToRemove The Child to be removed
	 * @return void
	 */
	public function removeChild(\TYPO3\Test\Domain\Model\Child $childToRemove) {
		$this->childs->detach($childToRemove);
	}

	/**
	 * Returns the childs
	 *
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Test\Domain\Model\Child> $childs
	 */
	public function getChilds() {
		return $this->childs;
	}

	/**
	 * Sets the childs
	 *
	 * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Test\Domain\Model\Child> $childs
	 * @return void
	 */
	public function setChilds(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $childs) {
		$this->childs = $childs;
	}

}
?>